    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------
    028     * TextMeasurer.java
    029     * -----------------
    030     * (C) Copyright 2004, 2005, by Object Refinery Limited and Contributors.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: TextMeasurer.java,v 1.4 2005/10/18 13:17:16 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 07-Jan-2004 : Version 1 (DG);
    040     *
    041     */
    042
    043    package org.jfree.text;
    044
    045    /**
    046     * An object that can measure text.
    047     *
    048     * @author David Gilbert
    049     */
    050    public interface TextMeasurer {
    051
    052        /**
    053         * Calculates the width of a <code>String</code> in the current
    054         * <code>Graphics</code> context.
    055         *
    056         * @param text  the text.
    057         * @param start  the start position of the substring to be measured.
    058         * @param end  the position of the last character to be measured.
    059         *
    060         * @return The width of the string in Java2D units.
    061         */
    062        public float getStringWidth(String text, int start, int end);
    063
    064    }